package com.mobula.sample;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

import com.duapps.ad.AdError;
import com.duapps.ad.video.AdResult;
import com.duapps.ad.video.DuVideoAd;
import com.duapps.ad.video.DuVideoAdListener;
import com.duapps.ad.video.DuVideoAdsManager;

public class MainActivity extends Activity implements View.OnClickListener {
    private DuVideoAd duRewardedVideoAd;
    private DuVideoAd duSkippingVideoAd;

    private DuVideoAdListener mListener = new DuVideoAdListener() {
        @Override
        public void onAdStart() {
            Toast.makeText(MainActivity.this, "Video ad is started", Toast.LENGTH_LONG).show();
        }

        @Override
        public void onAdError(AdError adError) {
            Toast.makeText(MainActivity.this, "Video ad error ->" + adError.getErrorMessage(), Toast.LENGTH_LONG).show();
        }

        @Override
        public void onAdPlayable() {
            Toast.makeText(MainActivity.this, "Video ad is playable", Toast.LENGTH_LONG).show();
            mRewardedVideoAdBtn.setEnabled(true);
            mSkippingVideoAdBtn.setEnabled(true);
        }
        @Override
        public void onAdClose() {
            Toast.makeText(MainActivity.this, "Video ad is closed", Toast.LENGTH_LONG).show();
        }
        @Override
        public void onVideoCompleted() {
            Toast.makeText(MainActivity.this, "Video ad is viewed", Toast.LENGTH_LONG).show();
        }
        @Override
        public void onAdClick() {
            Toast.makeText(MainActivity.this, "Video ad is clicked", Toast.LENGTH_LONG).show();
        }
        //onAdEnd(AdResult adResult) is deprecated
        @Override
        public void onAdEnd(AdResult adResult) {
            Toast.makeText(MainActivity.this, "Deprecated listener", Toast.LENGTH_LONG).show();
        }
    };
    private Button mRewardedVideoAdBtn;
    private Button mSkippingVideoAdBtn;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        duRewardedVideoAd = DuVideoAdsManager.getVideoAd(this, 140365);
        duRewardedVideoAd.setListener(mListener);
        duRewardedVideoAd.load();

        mRewardedVideoAdBtn = (Button) findViewById(R.id.rewarded_video);
        mRewardedVideoAdBtn.setEnabled(false);
        mRewardedVideoAdBtn.setOnClickListener(this);

        duSkippingVideoAd = DuVideoAdsManager.getVideoAd(this, 147087);
        duSkippingVideoAd.setListener(mListener);
        duSkippingVideoAd.load();

        mSkippingVideoAdBtn = (Button) findViewById(R.id.skipping_video);
        mSkippingVideoAdBtn.setEnabled(false);
        mSkippingVideoAdBtn.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.rewarded_video:
                if (duRewardedVideoAd.isAdPlayable()) {
                    duRewardedVideoAd.playAd(this);
                    mRewardedVideoAdBtn.setEnabled(false);
                }
                break;

            case R.id.skipping_video:
                if (duSkippingVideoAd.isAdPlayable()) {
                    duSkippingVideoAd.playAd(this);
                    mSkippingVideoAdBtn.setEnabled(false);
                }
                break;
            default:
                break;
        }
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
    }
}
