package com.mobula.sample

import android.app.Activity
import android.os.Bundle
import android.util.Log
import android.widget.Toast
import com.duapps.ad.AdError
import com.duapps.ad.video.AdResult
import com.duapps.ad.video.DuVideoAd
import com.duapps.ad.video.DuVideoAdListener
import com.duapps.ad.video.DuVideoAdsManager
import kotlinx.android.synthetic.main.activity_main.*

/**
 *
 * @author pangzaifei
 * @version v1.0
 * @date 2018/12/11-20:15
 */
class MainKotlinActivity : Activity() {

    var TAG = MainKotlinActivity::class.java.simpleName

    private lateinit var duRewardedVideoAd: DuVideoAd
    private lateinit var duSkippingVideoAd: DuVideoAd


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        duRewardedVideoAd = DuVideoAdsManager.getVideoAd(this, 140365).apply {
            setListener(mListener)
            load()
        }

        rewarded_video.apply {
            isEnabled = false
            setOnClickListener {
                if (duRewardedVideoAd.isAdPlayable) {
                    duRewardedVideoAd.playAd(this@MainKotlinActivity)
                    rewarded_video.isEnabled = false
                }
            }
        }

        duSkippingVideoAd = DuVideoAdsManager.getVideoAd(this, 147087).apply {
            setListener(mListener)
            load()
        }
        skipping_video.apply {
            isEnabled = false
            setOnClickListener {
                if (duSkippingVideoAd.isAdPlayable) {
                    duSkippingVideoAd .playAd(this@MainKotlinActivity)
                    skipping_video.isEnabled = false
                }
            }
        }

    }

    private var mListener = object : DuVideoAdListener {
        override fun onAdPlayable() {
            Log.d(TAG, "onAdPlayable")
            Toast.makeText(this@MainKotlinActivity, "Video ad is playable", Toast.LENGTH_LONG).show()
            rewarded_video.isEnabled = true
            skipping_video.isEnabled = true
        }
        //onAdEnd(adResult: AdResult?) is deprecated
        override fun onAdEnd(adResult: AdResult?) {
            Log.d(TAG, "onAdEnd")
            Toast.makeText(this@MainKotlinActivity, "Deprecated listener", Toast.LENGTH_LONG).show()
        }

        override fun onAdStart() {
            Log.d(TAG, "onAdStart")
            Toast.makeText(this@MainKotlinActivity, "Video ad is started", Toast.LENGTH_LONG).show()
        }

        override fun onAdError(adError: AdError?) {
            Log.d(TAG, "onAdError")
            Toast.makeText(this@MainKotlinActivity, "Video ad error ->${adError?.errorMessage}", Toast.LENGTH_LONG).show()
        }

        override fun onAdClose() {
            Log.d(TAG, "onAdClose")
            Toast.makeText(this@MainKotlinActivity, "Video ad is closed", Toast.LENGTH_LONG).show()
        }

        override fun onVideoCompleted() {
            Log.d(TAG, "onVideoCompleted")
            Toast.makeText(this@MainKotlinActivity, "Video ad is fully viewed", Toast.LENGTH_LONG).show()
        }

        override fun onAdClick() {
            Log.d(TAG, "onAdClick")
            Toast.makeText(this@MainKotlinActivity, "Video ad is clicked", Toast.LENGTH_LONG).show()
        }

    }


}