package com.mobula.sample

import android.app.Application
import android.content.Context
import android.util.Log
import com.duapps.ad.base.DuAdNetwork
import com.duapps.ad.video.DuVideoAdSDK
import java.io.BufferedInputStream
import java.io.ByteArrayOutputStream
import java.io.Closeable

/**
 *
 * @author pangzaifei
 * @version v1.0
 * @date 2018/12/11-20:12
 */
class MobulaKotlinApplication : Application() {

    var TAG = MobulaKotlinApplication::class.java.simpleName

    override fun onCreate() {
        super.onCreate()
        /**
         * the sdk initialization 初始化SDK
         */
        var configJSON = getConfigJSON(this)
        Log.d(TAG, "configJson:$configJSON")

        DuAdNetwork.init(this, getConfigJSON(this))
        DuVideoAdSDK.init(this, getConfigJSON(this))
    }

    fun getConfigJSON(context: Context): String {
        var bos = ByteArrayOutputStream()
        var bis = BufferedInputStream(context.assets.open("json.txt"))

        try {
            var readLen = -1
            while (bis.read().also { readLen = it } != -1) {
                bos.write(readLen)
            }

        } catch (e: Exception) {
            Log.e(TAG, "IOException :${e.message}")
        } finally {
            closeQuietly(bis)
        }
        return bos.toString()
    }


    fun closeQuietly(closeable: Closeable) {
        try {
            closeable.close()
        } catch (e: Exception) {
        }
    }
}